/// <reference path="../GeneratedArtifacts/viewModel.js" />
/// <reference path="../Scripts/wijmo.cba.js" />

myapp.MenuGettingStarted.Grid_render = function (element, contentItem) {
    var menu = new c1.cba.Menu($(element), contentItem);
};

myapp.MenuGettingStarted.Chart_render = function (element, contentItem) {
    var menu = new c1.cba.Menu($(element), contentItem);
};

myapp.MenuGettingStarted.Pie_render = function (element, contentItem) {
    var menu = new c1.cba.Menu($(element), contentItem);
};

myapp.MenuGettingStarted.Gauge_render = function (element, contentItem) {
    var menu = new c1.cba.Menu($(element), contentItem);
};

myapp.MenuGettingStarted.Input_render = function (element, contentItem) {
    var menu = new c1.cba.Menu($(element), contentItem);
};

myapp.MenuGettingStarted.Select_render = function (element, contentItem) {
    var menu = new c1.cba.Menu($(element), contentItem);
};

function ShowScreen(screenName) {
    if (myapp["show" + screenName]) {
        myapp["show" + screenName]();
    }
}

myapp.MenuGettingStarted.MenuDescription_render = function (element, contentItem) {
    $("<img src='Content/Images/menu_howTo.png'/>").appendTo($(element));
};